/**
 * @file Distribute apeman-ui-contrib-angular-locating.
 */

"use strict";

var argx = require('argx'),
    async = require('async'),
    path = require('path'),
    concatFiles = require('apeman-commons-compiling/lib/concat_files'),
    objnest = require('objnest');

/** @lends apemanUiContribAngularLocating */
function apemanUiContribAngularLocating(options) {
    var args = argx(arguments);
    options = objnest.expand(args.pop('object') || {});

    return function dist(context, callback) {
        var logger = context.logger,
            dest = context.dest || 'apeman-ui';

        async.series([
            function (callback) {
                var filename = path.resolve(dest, 'apeman-ui-contrib-angular-locating.js');
                concatFiles([
                    path.resolve(__dirname, 'assets/src/module.js'),
                    path.resolve(__dirname, 'assets/src/**/*.js')
                ], filename, {
                    unique: true
                }, function (err, result) {
                    if (!err) {
                        if (!result.skipped) {
                            logger.debug('File generated:', filename);
                        }
                    }
                    callback(err);
                });
            }
        ], callback);

    }
}


module.exports = apemanUiContribAngularLocating;
